PowerCore support for Logic 5.5 on Windows


Does the PowerCore support Logic 5.5 on Windows?


No. Logic 5.5 is long since discontinued, it's no longer supported by Apple (Emagic), and we're no longer targeting Logic 5.5 in the PowerCore driver / plug-in development and testing.

It may work under certain configurations, but is no longer supported.

Share this page